# Fancy waifu motd

WAIFUS=52
CACHEFILE="$HOME/.cache/waifu"

if [ $(tput cols) -gt 200 ]
then
  if [ $TERM == "xterm-kitty" ]
  then
    if [ $((0 + RANDOM % 2)) -eq 0 ]
    then
      if [ -f "$CACHEFILE" ]
      then
        WAIFU=$(/bin/cat $CACHEFILE)
      else
        touch $CACHEFILE
        echo 0 > $CACHEFILE
        WAIFU=$((0 + RANDOM % $WAIFUS))
      fi
      if [ $WAIFU -gt $WAIFUS ]
      then
        echo 0 > $CACHEFILE
        WAIFU=$((0 + RANDOM % $WAIFUS))
      else
        echo $(expr $WAIFU + 1) > $CACHEFILE
      fi
      kitty +kitten icat "/usr/share/motd/waifus/waifu-$WAIFU.png"
    else
      kitty +kitten icat "/usr/share/motd/waifus/waifu-$((0 + RANDOM % $WAIFUS)).png"
    fi
  fi
  if [ -f "/usr/games/lolcat" ]
  then
    cat /usr/share/motd/motd | awk '{ z = '$(tput cols)' - length; y = int(z / 2); x = z - y; printf "%*s%s%*s\n", x, "", $0, y, ""; }' | /usr/games/lolcat
    uname -sr | awk '{ z = '$(tput cols)' - length; y = int(z / 2); x = z - y; printf "%*s%s%*s\n", x, "", $0, y, ""; }' | /usr/games/lolcat
    uptime | awk '{ z = '$(tput cols)' - length; y = int(z / 2); x = z - y; printf "%*s%s%*s\n", x, "", $0, y, ""; }' | /usr/games/lolcat
  else
    cat /usr/share/motd/motd | awk '{ z = '$(tput cols)' - length; y = int(z / 2); x = z - y; printf "%*s%s%*s\n", x, "", $0, y, ""; }' | lolcat
    uname -sr | awk '{ z = '$(tput cols)' - length; y = int(z / 2); x = z - y; printf "%*s%s%*s\n", x, "", $0, y, ""; }' | lolcat
    uptime | awk '{ z = '$(tput cols)' - length; y = int(z / 2); x = z - y; printf "%*s%s%*s\n", x, "", $0, y, ""; }' | lolcat
  fi

fi
